Skip to main content
GET
https://app.ocoya.com/api/_public/v1
/
social-profiles
/
connection-url
Get social connection URL
curl --request GET \
  --url https://app.ocoya.com/api/_public/v1/social-profiles/connection-url \
  --header 'X-API-Key: <api-key>'
{
  "provider": "instagram",
  "authProvider": "facebook",
  "authUrl": "https://app.ocoya.com/api/mcp/social-connect/start?provider=instagram&workspaceId=cmayvq3hk00017apshay5qezu",
  "callbackUrl": "https://app.ocoya.com/smm/integrations/select?provider=instagram",
  "instructions": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

workspaceId
string
required

Ocoya workspace ID. Get one from GET /workspaces.

Example:

"cmayvq3hk00017apshay5qezu"

provider
enum<string>
required

Social network used for the connection flow.

Available options:
facebook,
instagram,
twitter,
linkedin,
pinterest,
tiktok
Example:

"instagram"

Response

Success

provider
string

Social network used for the connection flow.

Example:

"instagram"

authProvider
string

OAuth provider Ocoya will use to start the connection flow.

Example:

"facebook"

authUrl
string

Browser URL to open while signed in to Ocoya to start the connection flow.

Example:

"https://app.ocoya.com/api/mcp/social-connect/start?provider=instagram&workspaceId=cmayvq3hk00017apshay5qezu"

callbackUrl
string

Ocoya page the browser returns to after social network authorization.

Example:

"https://app.ocoya.com/smm/integrations/select?provider=instagram"

instructions
string

Short instructions for completing the browser-based connection.